org.jboss.logmanager

## Class ExtFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.jboss.logmanager.ExtFormatter

Direct Known Subclasses:
  MultistepFormatter

    public abstract class ExtFormatter
    extends Formatter

A formatter which handles `ExtLogRecord` instances.

### Constructor Summary

Constructors
Constructor and Description
`ExtFormatter()`

### Method Summary

Methods
`abstract String` `format(ExtLogRecord extLogRecord)` Format a message using an extended log record.
`String` `format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtFormatter

    public ExtFormatter()

### Method Detail

#### format

    public final String format(LogRecord record)

Specified by:
  `format` in class `Formatter`

#### format

    public abstract String format(ExtLogRecord extLogRecord)

Format a message using an extended log record.

Parameters:
  `extLogRecord` - the log record
Returns:
  the formatted message